import * as redux from 'redux';
import * as _reduxjs_toolkit from '@reduxjs/toolkit';
import * as immer from 'immer';

declare const sliceName = "devices";
declare const initialState: {
    byId: {};
    byStatus: {
        [x: string]: {
            deviceIds: never[];
            total: number;
        };
        active: {
            deviceIds: never[];
            total: number;
        };
        inactive: {
            deviceIds: never[];
            total: number;
        };
    };
    deviceList: {
        selectedAttributes: never[];
        selectedIssues: never[];
        selection: never[];
        sort: {
            direction: string;
        };
        state: string;
        total: number;
        page: number;
        perPage: number;
        deviceIds: never[];
    };
    filters: never[];
    filteringAttributes: {
        identityAttributes: never[];
        inventoryAttributes: never[];
        systemAttributes: never[];
        tagAttributes: never[];
    };
    filteringAttributesLimit: number;
    filteringAttributesConfig: {
        attributes: {};
        count: number;
        limit: number;
    };
    reports: never[];
    total: number;
    limit: number;
    groups: {
        byId: {};
        selectedGroup: undefined;
    };
};
declare const devicesSlice: _reduxjs_toolkit.Slice<{
    byId: {};
    byStatus: {
        [x: string]: {
            deviceIds: never[];
            total: number;
        };
        active: {
            deviceIds: never[];
            total: number;
        };
        inactive: {
            deviceIds: never[];
            total: number;
        };
    };
    deviceList: {
        selectedAttributes: never[];
        selectedIssues: never[];
        selection: never[];
        sort: {
            direction: string;
        };
        state: string;
        total: number;
        page: number;
        perPage: number;
        deviceIds: never[];
    };
    filters: never[];
    filteringAttributes: {
        identityAttributes: never[];
        inventoryAttributes: never[];
        systemAttributes: never[];
        tagAttributes: never[];
    };
    filteringAttributesLimit: number;
    filteringAttributesConfig: {
        attributes: {};
        count: number;
        limit: number;
    };
    reports: never[];
    total: number;
    limit: number;
    groups: {
        byId: {};
        selectedGroup: undefined;
    };
}, {
    receivedGroups: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    addToGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    removeFromGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    addGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    selectGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, { payload: group }: {
        payload: any;
        type: string;
    }) => void;
    removeGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeviceListState: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setFilterAttributes: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setFilterablesConfig: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDevices: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeviceFilters: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setInactiveDevices: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeviceReports: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDevicesByStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDevicesCountByStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setTotalDevices: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeviceLimit: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDevice: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    maybeUpdateDevicesByStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "devices", "devices", _reduxjs_toolkit.SliceSelectors<{
    byId: {};
    byStatus: {
        [x: string]: {
            deviceIds: never[];
            total: number;
        };
        active: {
            deviceIds: never[];
            total: number;
        };
        inactive: {
            deviceIds: never[];
            total: number;
        };
    };
    deviceList: {
        selectedAttributes: never[];
        selectedIssues: never[];
        selection: never[];
        sort: {
            direction: string;
        };
        state: string;
        total: number;
        page: number;
        perPage: number;
        deviceIds: never[];
    };
    filters: never[];
    filteringAttributes: {
        identityAttributes: never[];
        inventoryAttributes: never[];
        systemAttributes: never[];
        tagAttributes: never[];
    };
    filteringAttributesLimit: number;
    filteringAttributesConfig: {
        attributes: {};
        count: number;
        limit: number;
    };
    reports: never[];
    total: number;
    limit: number;
    groups: {
        byId: {};
        selectedGroup: undefined;
    };
}>>;
declare const actions: _reduxjs_toolkit.CaseReducerActions<{
    receivedGroups: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    addToGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    removeFromGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    addGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    selectGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, { payload: group }: {
        payload: any;
        type: string;
    }) => void;
    removeGroup: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeviceListState: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setFilterAttributes: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setFilterablesConfig: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDevices: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeviceFilters: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setInactiveDevices: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeviceReports: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDevicesByStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDevicesCountByStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setTotalDevices: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setDeviceLimit: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    receivedDevice: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    maybeUpdateDevicesByStatus: (state: immer.WritableDraft<{
        byId: {};
        byStatus: {
            [x: string]: {
                deviceIds: never[];
                total: number;
            };
            active: {
                deviceIds: never[];
                total: number;
            };
            inactive: {
                deviceIds: never[];
                total: number;
            };
        };
        deviceList: {
            selectedAttributes: never[];
            selectedIssues: never[];
            selection: never[];
            sort: {
                direction: string;
            };
            state: string;
            total: number;
            page: number;
            perPage: number;
            deviceIds: never[];
        };
        filters: never[];
        filteringAttributes: {
            identityAttributes: never[];
            inventoryAttributes: never[];
            systemAttributes: never[];
            tagAttributes: never[];
        };
        filteringAttributesLimit: number;
        filteringAttributesConfig: {
            attributes: {};
            count: number;
            limit: number;
        };
        reports: never[];
        total: number;
        limit: number;
        groups: {
            byId: {};
            selectedGroup: undefined;
        };
    }>, action: {
        payload: any;
        type: string;
    }) => void;
}, "devices">;
declare const _default: redux.Reducer<{
    byId: {};
    byStatus: {
        [x: string]: {
            deviceIds: never[];
            total: number;
        };
        active: {
            deviceIds: never[];
            total: number;
        };
        inactive: {
            deviceIds: never[];
            total: number;
        };
    };
    deviceList: {
        selectedAttributes: never[];
        selectedIssues: never[];
        selection: never[];
        sort: {
            direction: string;
        };
        state: string;
        total: number;
        page: number;
        perPage: number;
        deviceIds: never[];
    };
    filters: never[];
    filteringAttributes: {
        identityAttributes: never[];
        inventoryAttributes: never[];
        systemAttributes: never[];
        tagAttributes: never[];
    };
    filteringAttributesLimit: number;
    filteringAttributesConfig: {
        attributes: {};
        count: number;
        limit: number;
    };
    reports: never[];
    total: number;
    limit: number;
    groups: {
        byId: {};
        selectedGroup: undefined;
    };
}>;

export { actions, _default as default, devicesSlice, initialState, sliceName };
